ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
gui_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| set_var ($VarName, $VarValue)
| pre_generation ($Options)
| compile_set_var (&$Settings)
| compile_get_var (&$Settings)
| compile_date (&$Settings)
| compile_composer (&$Settings, $Data)
| __toString ()

## Data Fields
| $Vars = array()
| $Settings = false
| $String = false

## Detailed Description

Class draws controls.

Author
  Dodonov A.A.

Definition at line 26 of file gui.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Author
  Dodonov A.A.

Definition at line 63 of file gui.php.

{
try
{
$this->Settings = get_package_object( 'settings::settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

__toString | ( |  | ) |

Function converts object to string.

Returns
  String with the object's description.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 325 of file gui.php.

{
try
{
return( "" );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_composer | ( | & | $Settings,
|  |  | $Data
| ) |  |

Function compiles macro 'composer'.

Parameters

  $Settings | - Compilation parameters.
  $Data | - Data.

Returns
  Widget.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 286 of file gui.php.

{
try
{
$Condition = intval( $Settings->get_setting( 'condition' ) );
if( $Condition )
{
return( $Data );
}
else
{
return( '' );
}
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_date | ( | & | $Settings | ) |

Function processes macro 'date'.

Parameters

  $Settings | - Processing parameters.

Returns
  Value.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 236 of file gui.php.

{
try
{
$Format = $Settings->get_setting( 'format' , 'Y-m-d' );
if( $Settings->get_setting( 'value' , false ) !== false )
{
$Now = $Settings->get_setting( 'now' , time() );
$Value = date( $Format , strtotime( $Settings->get_setting( 'value' , 'now' ) , $Now ) );
}
else
{
$Value = date( $Format , intval( $Settings->get_setting( 'timestamp' , time() ) ) );
}
return( $Value );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_get_var | ( | & | $Settings | ) |

Function processes macro 'get_var'.

Parameters

  $Settings | - Settings.

Returns
  Value.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 200 of file gui.php.

{
try
{
$Name = $Settings->get_setting( 'name' );
return( isset( $this->Vars[ $Name ] ) ? $this->Vars[ $Name ] : '' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

compile_set_var | ( | & | $Settings | ) |

Function processes macro 'set_var'.

Parameters

  $Settings | - Settings.

Returns
  Code.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 161 of file gui.php.

{
try
{
$Name = $Settings->get_setting( 'name' );
$Value = $Settings->get_setting( 'value' );
$this->Vars[ $Name ] = $Value;
return( '' );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 128 of file gui.php.

{
try
{
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

set_var | ( |  | $VarName,
|  |  | $VarValue
| ) |  |

Function sets variable.

Parameters

  $VarName | - Variable name.
  $VarValue | - Variable value.

Exceptions

  Exception | - An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 98 of file gui.php.

{
try
{
$this->Vars[ $VarName ] = $VarValue;
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$Settings = false

Cached objects.

Author
  Dodonov A.A.

Definition at line 50 of file gui.php.

$String = false

Definition at line 51 of file gui.php.

$Vars = array()

Set of variables.

Author
  Dodonov A.A.

Definition at line 38 of file gui.php.

The documentation for this class was generated from the following file:

- packages/gui/gui.php